---
apiVersion: config.openshift.io/v1
items:
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
      include.release.openshift.io/self-managed-high-availability: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
            f:include.release.openshift.io/self-managed-high-availability: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: authentication-operator
      operation: Update
      time: "2022-03-08T10:41:34Z"
    name: authentication
    resourceVersion: "25657"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/authentication
    uid: 9a8ef39a-3056-449a-b394-456028b57e38
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:58:52Z"
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:48:11Z"
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:58:52Z"
      message: 'OAuthServerDeploymentAvailable: availableReplicas==2'
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:38:53Z"
      reason: AsExpected
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: authentications
    - group: config.openshift.io
      name: cluster
      resource: authentications
    - group: config.openshift.io
      name: cluster
      resource: infrastructures
    - group: config.openshift.io
      name: cluster
      resource: oauths
    - group: route.openshift.io
      name: oauth-openshift
      namespace: openshift-authentication
      resource: routes
    - group: ""
      name: oauth-openshift
      namespace: openshift-authentication
      resource: services
    - group: ""
      name: openshift-config
      resource: namespaces
    - group: ""
      name: openshift-config-managed
      resource: namespaces
    - group: ""
      name: openshift-authentication
      resource: namespaces
    - group: ""
      name: openshift-authentication-operator
      resource: namespaces
    - group: ""
      name: openshift-ingress
      resource: namespaces
    - group: ""
      name: openshift-oauth-apiserver
      resource: namespaces
    versions:
    - name: oauth-apiserver
      version: 4.6.52
    - name: operator
      version: 4.6.52
    - name: oauth-openshift
      version: 4.6.52_openshift
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: cloud-credential-operator
      operation: Update
      time: "2022-03-08T10:15:44Z"
    name: cloud-credential
    resourceVersion: "79521"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/cloud-credential
    uid: 0ae6661d-504f-432d-a454-baa81614e7fc
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:15:44Z"
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:15:44Z"
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:48:23Z"
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:15:44Z"
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: cloudcredentials
    - group: ""
      name: openshift-cloud-credential-operator
      resource: namespaces
    - group: cloudcredential.openshift.io
      name: openshift-network
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: openshift-image-registry-gcs
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: openshift-ingress
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: openshift-machine-api-gcp
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: openshift-machine-api-openstack
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: manila-csi-driver-operator
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: openshift-machine-api-aws
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: openshift-ingress-gcp
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: ovirt-csi-driver-operator
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: aws-ebs-csi-driver-operator
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: openshift-image-registry
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: openshift-image-registry-azure
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: openshift-image-registry-openstack
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: cloud-credential-operator-iam-ro
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: openshift-ingress-azure
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: openshift-machine-api-azure
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: openshift-machine-api-ovirt
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    - group: cloudcredential.openshift.io
      name: openshift-machine-api-vsphere
      namespace: openshift-cloud-credential-operator
      resource: credentialsrequests
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: cluster-autoscaler-operator
      operation: Update
      time: "2022-03-08T10:40:22Z"
    name: cluster-autoscaler
    resourceVersion: "10600"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/cluster-autoscaler
    uid: 263aee63-04c1-4d88-b997-a4ba76f964bf
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:40:22Z"
      message: at version 4.6.52
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:40:22Z"
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:40:22Z"
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:40:22Z"
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: autoscaling.openshift.io
      name: ""
      namespace: openshift-machine-api
      resource: machineautoscalers
    - group: autoscaling.openshift.io
      name: ""
      namespace: openshift-machine-api
      resource: clusterautoscalers
    - group: ""
      name: openshift-machine-api
      resource: namespaces
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
      include.release.openshift.io/self-managed-high-availability: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
            f:include.release.openshift.io/self-managed-high-availability: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: cluster-config-operator
      operation: Update
      time: "2022-03-08T10:38:44Z"
    name: config-operator
    resourceVersion: "5867"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/config-operator
    uid: 0d1a6bea-e9c1-475e-ab95-667a539ffd29
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:38:45Z"
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:38:44Z"
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:38:44Z"
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:38:44Z"
      reason: AsExpected
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: configs
    - group: ""
      name: openshift-config
      resource: namespaces
    - group: ""
      name: openshift-config-operator
      resource: namespaces
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: console
      operation: Update
      time: "2022-03-08T10:44:17Z"
    name: console
    resourceVersion: "23534"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/console
    uid: 624df066-d924-4f93-a228-eb4c52675f29
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:51:20Z"
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:51:37Z"
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:52:05Z"
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:44:17Z"
      reason: AsExpected
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: consoles
    - group: config.openshift.io
      name: cluster
      resource: consoles
    - group: config.openshift.io
      name: cluster
      resource: infrastructures
    - group: config.openshift.io
      name: cluster
      resource: proxies
    - group: config.openshift.io
      name: cluster
      resource: oauths
    - group: oauth.openshift.io
      name: console
      resource: oauthclients
    - group: ""
      name: openshift-console-operator
      resource: namespaces
    - group: ""
      name: openshift-console
      resource: namespaces
    - group: ""
      name: console-public
      namespace: openshift-config-managed
      resource: configmaps
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: csi-snapshot-controller-operator
      operation: Update
      time: "2022-03-08T10:38:48Z"
    name: csi-snapshot-controller
    resourceVersion: "6973"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/csi-snapshot-controller
    uid: fe30c14b-0595-4afa-8e15-c351bdc0d084
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:38:45Z"
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:38:55Z"
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:38:55Z"
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:38:48Z"
      reason: AsExpected
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: ""
      name: openshift-cluster-storage-operator
      resource: namespaces
    - group: ""
      name: openshift-cluster-storage-operator
      resource: namespaces
    - group: operator.openshift.io
      name: cluster
      resource: csisnapshotcontrollers
    versions:
    - name: csi-snapshot-controller
      version: 4.6.52
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:41Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:41Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: dns-operator
      operation: Update
      time: "2022-03-08T10:40:08Z"
    name: dns
    resourceVersion: "20956"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/dns
    uid: a3f0fe98-973d-4edc-99e5-9016482c888a
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:40:07Z"
      message: DNS default is available
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:40:07Z"
      message: desired and current number of DNSes are equal
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:47:54Z"
      reason: DNSNotDegraded
      status: "False"
      type: Degraded
    extension: null
    relatedObjects:
    - group: ""
      name: openshift-dns-operator
      resource: namespaces
    - group: operator.openshift.io
      name: default
      resource: dnses
    - group: ""
      name: openshift-dns
      resource: namespaces
    versions:
    - name: operator
      version: 4.6.52
    - name: coredns
      version: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4bfcb018947b57966ce4bc55f9d96768ffc0127195ae207324f3f8cde8ee1ebf
    - name: openshift-cli
      version: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f95ac948edf7e12a3d46e88cbab8c7010ef9c3af6df2ff002af28ba76445247d
    - name: kube-rbac-proxy
      version: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:533973e0b3b8e64b0fd672a78ebabc5accc5f9a969c6a610ce14aa73d9685874
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
      include.release.openshift.io/self-managed-high-availability: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
            f:include.release.openshift.io/self-managed-high-availability: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
          f:relatedObjects: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:versions: {}
      manager: cluster-etcd-operator
      operation: Update
      time: "2022-03-08T10:38:45Z"
    name: etcd
    resourceVersion: "20716"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/etcd
    uid: ef5bbc48-a086-41bb-8404-58cc30d58703
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:38:45Z"
      message: |-
        NodeControllerDegraded: All master nodes are ready
        EtcdMembersDegraded: No unhealthy members found
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:47:48Z"
      message: |-
        NodeInstallerProgressing: 3 nodes are at revision 3
        EtcdMembersProgressing: No unstarted etcd members found
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:40:07Z"
      message: |-
        StaticPodsAvailable: 3 nodes are active; 3 nodes are at revision 3
        EtcdMembersAvailable: 3 members are available
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:38:47Z"
      reason: AsExpected
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: etcds
    - group: ""
      name: openshift-config
      resource: namespaces
    - group: ""
      name: openshift-config-managed
      resource: namespaces
    - group: ""
      name: openshift-etcd-operator
      resource: namespaces
    - group: ""
      name: openshift-etcd
      resource: namespaces
    versions:
    - name: raw-internal
      version: 4.6.52
    - name: operator
      version: 4.6.52
    - name: etcd
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: cluster-image-registry-operator
      operation: Update
      time: "2022-03-08T10:43:50Z"
    name: image-registry
    resourceVersion: "26794"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/image-registry
    uid: 115c2fd7-b5c9-4c77-b593-1cc0f1c5d920
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T11:01:15Z"
      message: |-
        Available: The registry is ready
        ImagePrunerAvailable: Pruner CronJob has been created
      reason: Ready
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T11:01:17Z"
      message: 'Progressing: The registry is ready'
      reason: Ready
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:43:50Z"
      reason: AsExpected
      status: "False"
      type: Degraded
    extension: null
    relatedObjects:
    - group: imageregistry.operator.openshift.io
      name: cluster
      resource: configs
    - group: imageregistry.operator.openshift.io
      name: cluster
      resource: imagepruners
    - group: rbac.authorization.k8s.io
      name: system:registry
      resource: clusterroles
    - group: rbac.authorization.k8s.io
      name: registry-registry-role
      resource: clusterrolebindings
    - group: rbac.authorization.k8s.io
      name: openshift-image-registry-pruner
      resource: clusterrolebindings
    - group: ""
      name: openshift-image-registry
      resource: namespaces
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: ingress-operator
      operation: Update
      time: "2022-03-08T10:47:48Z"
    name: ingress
    resourceVersion: "20710"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/ingress
    uid: 5aa6a71b-58b7-4f3a-bcdf-a8a03a50d19c
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:47:48Z"
      message: desired and current number of IngressControllers are equal
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:47:48Z"
      message: desired and current number of IngressControllers are equal
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:47:48Z"
      reason: NoIngressControllersDegraded
      status: "False"
      type: Degraded
    extension: null
    relatedObjects:
    - group: ""
      name: openshift-ingress-operator
      resource: namespaces
    - group: operator.openshift.io
      name: ""
      namespace: openshift-ingress-operator
      resource: IngressController
    - group: ingress.operator.openshift.io
      name: ""
      namespace: openshift-ingress-operator
      resource: DNSRecord
    - group: ""
      name: openshift-ingress
      resource: namespaces
    versions:
    - name: operator
      version: 4.6.52
    - name: ingress-controller
      version: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:570ef2ff0e37e0933d0f9bbffd82bf3d119e96dfa0eb9c3f11ea9892c5d68384
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:extension:
            f:lastReportTime: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: insights-operator
      operation: Update
      time: "2022-03-08T10:38:51Z"
    name: insights
    resourceVersion: "34477"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/insights
    uid: 54641a45-1461-4615-8945-521c6ec75220
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:38:51Z"
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:38:51Z"
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:44:17Z"
      message: Monitoring the cluster
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:44:17Z"
      reason: AsExpected
      status: "False"
      type: Disabled
    extension:
      lastReportTime: "2022-03-08T11:21:02Z"
    relatedObjects:
    - group: ""
      name: openshift-insights
      resource: namespaces
    - group: apps
      name: insights-operator
      namespace: openshift-insights
      resource: deployments
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
      include.release.openshift.io/self-managed-high-availability: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
            f:include.release.openshift.io/self-managed-high-availability: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
          f:relatedObjects: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:versions: {}
      manager: cluster-kube-apiserver-operator
      operation: Update
      time: "2022-03-08T10:38:52Z"
    name: kube-apiserver
    resourceVersion: "30460"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/kube-apiserver
    uid: d3897b00-3c09-47f0-a4df-863b1103f909
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:51:25Z"
      message: 'NodeControllerDegraded: All master nodes are ready'
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T11:11:40Z"
      message: 'NodeInstallerProgressing: 3 nodes are at revision 5'
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:41:11Z"
      message: 'StaticPodsAvailable: 3 nodes are active; 3 nodes are at revision 5'
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:38:51Z"
      reason: AsExpected
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: kubeapiservers
    - group: apiextensions.k8s.io
      name: ""
      resource: customresourcedefinitions
    - group: security.openshift.io
      name: ""
      resource: securitycontextconstraints
    - group: ""
      name: openshift-config
      resource: namespaces
    - group: ""
      name: openshift-config-managed
      resource: namespaces
    - group: ""
      name: openshift-kube-apiserver-operator
      resource: namespaces
    - group: ""
      name: openshift-kube-apiserver
      resource: namespaces
    - group: admissionregistration.k8s.io
      name: ""
      resource: mutatingwebhookconfigurations
    - group: admissionregistration.k8s.io
      name: ""
      resource: validatingwebhookconfigurations
    - group: controlplane.operator.openshift.io
      name: ""
      namespace: openshift-kube-apiserver
      resource: podnetworkconnectivitychecks
    versions:
    - name: raw-internal
      version: 4.6.52
    - name: kube-apiserver
      version: 1.19.16
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
      include.release.openshift.io/self-managed-high-availability: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
            f:include.release.openshift.io/self-managed-high-availability: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: cluster-kube-controller-manager-operator
      operation: Update
      time: "2022-03-08T10:38:45Z"
    name: kube-controller-manager
    resourceVersion: "30172"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/kube-controller-manager
    uid: 50ec51bf-1f15-4330-aac1-bf739403ea39
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:46:04Z"
      message: 'NodeControllerDegraded: All master nodes are ready'
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:52:33Z"
      message: 'NodeInstallerProgressing: 3 nodes are at revision 8'
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:41:49Z"
      message: 'StaticPodsAvailable: 3 nodes are active; 3 nodes are at revision 8'
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:38:45Z"
      reason: AsExpected
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: kubecontrollermanagers
    - group: ""
      name: openshift-config
      resource: namespaces
    - group: ""
      name: openshift-config-managed
      resource: namespaces
    - group: ""
      name: openshift-kube-controller-manager
      resource: namespaces
    - group: ""
      name: openshift-kube-controller-manager-operator
      resource: namespaces
    - group: certificates.k8s.io
      name: ""
      resource: certificatesigningrequests
    - group: ""
      name: ""
      resource: nodes
    versions:
    - name: raw-internal
      version: 4.6.52
    - name: kube-controller-manager
      version: 1.19.16
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
      include.release.openshift.io/self-managed-high-availability: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
            f:include.release.openshift.io/self-managed-high-availability: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: cluster-kube-scheduler-operator
      operation: Update
      time: "2022-03-08T10:38:45Z"
    name: kube-scheduler
    resourceVersion: "25458"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/kube-scheduler
    uid: 0ae17fd7-7249-4c05-a923-4e7712194906
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:47:30Z"
      message: 'NodeControllerDegraded: All master nodes are ready'
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:49:00Z"
      message: 'NodeInstallerProgressing: 3 nodes are at revision 6'
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:41:52Z"
      message: 'StaticPodsAvailable: 3 nodes are active; 3 nodes are at revision 6'
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:38:45Z"
      reason: AsExpected
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: kubeschedulers
    - group: config.openshift.io
      name: ""
      resource: schedulers
    - group: ""
      name: openshift-config
      resource: namespaces
    - group: ""
      name: openshift-config-managed
      resource: namespaces
    - group: ""
      name: openshift-kube-scheduler
      resource: namespaces
    - group: ""
      name: openshift-kube-scheduler-operator
      resource: namespaces
    - group: controlplane.operator.openshift.io
      name: ""
      namespace: openshift-kube-apiserver
      resource: podnetworkconnectivitychecks
    versions:
    - name: raw-internal
      version: 4.6.52
    - name: kube-scheduler
      version: 1.19.16
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: cluster-kube-storage-version-migrator-operator
      operation: Update
      time: "2022-03-08T10:38:50Z"
    name: kube-storage-version-migrator
    resourceVersion: "20947"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/kube-storage-version-migrator
    uid: 50e946c8-0cab-4beb-803a-73023df31957
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:38:50Z"
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:38:50Z"
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:47:54Z"
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:38:50Z"
      reason: NoData
      status: Unknown
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: kubestorageversionmigrators
    - group: ""
      name: openshift-kube-storage-version-migrator
      resource: namespaces
    - group: ""
      name: openshift-kube-storage-version-migrator-operator
      resource: namespaces
    versions:
    - name: operator
      version: 4.6.52
    - name: kube-storage-version-migrator
      version: ""
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: machine-api-operator
      operation: Update
      time: "2022-03-08T10:39:28Z"
    name: machine-api
    resourceVersion: "8636"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/machine-api
    uid: 81b78ffb-8cbe-4d58-80e3-78f36ac75104
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:39:28Z"
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:39:28Z"
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:39:28Z"
      message: 'Cluster Machine API Operator is available at operator: 4.6.52'
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:39:28Z"
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: ""
      name: openshift-machine-api
      resource: namespaces
    - group: machine.openshift.io
      name: ""
      namespace: openshift-machine-api
      resource: machines
    - group: machine.openshift.io
      name: ""
      namespace: openshift-machine-api
      resource: machinesets
    - group: machine.openshift.io
      name: ""
      namespace: openshift-machine-api
      resource: machinehealthchecks
    - group: rbac.authorization.k8s.io
      name: ""
      namespace: openshift-machine-api
      resource: roles
    - group: rbac.authorization.k8s.io
      name: machine-api-operator
      resource: clusterroles
    - group: rbac.authorization.k8s.io
      name: machine-api-controllers
      resource: clusterroles
    - group: metal3.io
      name: ""
      namespace: openshift-machine-api
      resource: baremetalhosts
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: machine-approver
      operation: Update
      time: "2022-03-08T10:39:46Z"
    name: machine-approver
    resourceVersion: "9082"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/machine-approver
    uid: 47a8fa58-9c45-49ff-b005-c15ce5393527
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:39:46Z"
      message: Cluster Machine Approver is available at 4.6.52
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:39:46Z"
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:39:46Z"
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:39:46Z"
      reason: AsExpected
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: ""
      name: openshift-cluster-machine-approver
      resource: namespaces
    - group: certificates.k8s.io
      name: ""
      resource: certificatesigningrequests
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
    creationTimestamp: "2022-03-08T10:13:41Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
        f:spec: {}
        f:status: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:41Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:extension:
            .: {}
            f:master: {}
            f:worker: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: machine-config-operator
      operation: Update
      time: "2022-03-08T10:39:56Z"
    name: machine-config
    resourceVersion: "21349"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/machine-config
    uid: b837bca5-4c42-42d6-80aa-db985eba004f
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:39:56Z"
      message: Cluster version is 4.6.52
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:39:55Z"
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:39:55Z"
      message: Cluster has deployed 4.6.52
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:39:55Z"
      reason: AsExpected
      status: "True"
      type: Upgradeable
    extension:
      master: all 3 nodes are at latest configuration rendered-master-e6d7b12832774efda7857e6eb08c384b
      worker: all 3 nodes are at latest configuration rendered-worker-9cba68d1b9fde6c79c41dcb10dfd7e0d
    relatedObjects:
    - group: ""
      name: openshift-machine-config-operator
      resource: namespaces
    - group: machineconfiguration.openshift.io
      name: ""
      resource: machineconfigpools
    - group: machineconfiguration.openshift.io
      name: ""
      resource: controllerconfigs
    - group: machineconfiguration.openshift.io
      name: ""
      resource: kubeletconfigs
    - group: machineconfiguration.openshift.io
      name: ""
      resource: containerruntimeconfigs
    - group: machineconfiguration.openshift.io
      name: ""
      resource: machineconfigs
    - group: ""
      name: ""
      resource: nodes
    - group: ""
      name: openshift-kni-infra
      resource: namespaces
    - group: ""
      name: openshift-openstack-infra
      resource: namespaces
    - group: ""
      name: openshift-ovirt-infra
      resource: namespaces
    - group: ""
      name: openshift-vsphere-infra
      resource: namespaces
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:41Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:41Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: marketplace-operator
      operation: Update
      time: "2022-03-08T10:40:29Z"
    name: marketplace
    resourceVersion: "10858"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/marketplace
    uid: 5c6d746d-28c1-47ae-b465-e80615808ece
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:40:29Z"
      message: 'Successfully progressed to release version: 4.6.52'
      reason: OperatorAvailable
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:40:29Z"
      message: 'Available release version: 4.6.52'
      reason: OperatorAvailable
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:40:29Z"
      message: 'Successfully progressed to release version: 4.6.52'
      reason: OperatorAvailable
      status: "True"
      type: Upgradeable
    - lastTransitionTime: "2022-03-08T10:40:09Z"
      message: 'Successfully progressed to release version: 4.6.52'
      reason: OperatorAvailable
      status: "False"
      type: Degraded
    extension: null
    relatedObjects:
    - group: ""
      name: openshift-marketplace
      resource: namespaces
    - group: operators.coreos.com
      name: ""
      namespace: openshift-marketplace
      resource: catalogsources
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: operator
      operation: Update
      time: "2022-03-08T10:48:31Z"
    name: monitoring
    resourceVersion: "80526"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/monitoring
    uid: 1d476271-5ea8-4ef0-afd9-c4a2e57edf17
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:48:31Z"
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:48:31Z"
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T13:39:30Z"
      status: "True"
      type: Upgradeable
    - lastTransitionTime: "2022-03-08T10:48:31Z"
      message: Successfully rolled out the stack.
      reason: RollOutDone
      status: "True"
      type: Available
    extension: null
    relatedObjects:
    - group: ""
      name: openshift-monitoring
      resource: namespaces
    - group: ""
      name: openshift-user-workload-monitoring
      resource: namespaces
    - group: monitoring.coreos.com
      name: ""
      resource: servicemonitors
    - group: monitoring.coreos.com
      name: ""
      resource: podmonitors
    - group: monitoring.coreos.com
      name: ""
      resource: prometheusrules
    - group: monitoring.coreos.com
      name: ""
      resource: alertmanagers
    - group: monitoring.coreos.com
      name: ""
      resource: prometheuses
    - group: monitoring.coreos.com
      name: ""
      resource: thanosrulers
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      network.operator.openshift.io/last-seen-state: '{"DaemonsetStates":[],"DeploymentStates":[]}'
    creationTimestamp: "2022-03-08T10:13:41Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:41Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:network.operator.openshift.io/last-seen-state: {}
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: cluster-network-operator
      operation: Update
      time: "2022-03-08T10:38:47Z"
    name: network
    resourceVersion: "21236"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/network
    uid: b8c3390e-0fbc-43ad-a406-343fe9dce66d
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:38:05Z"
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:38:05Z"
      status: "True"
      type: Upgradeable
    - lastTransitionTime: "2022-03-08T10:48:01Z"
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:38:47Z"
      status: "True"
      type: Available
    extension: null
    relatedObjects:
    - group: ""
      name: applied-cluster
      namespace: openshift-network-operator
      resource: configmaps
    - group: apiextensions.k8s.io
      name: network-attachment-definitions.k8s.cni.cncf.io
      resource: customresourcedefinitions
    - group: apiextensions.k8s.io
      name: ippools.whereabouts.cni.cncf.io
      resource: customresourcedefinitions
    - group: apiextensions.k8s.io
      name: overlappingrangeipreservations.whereabouts.cni.cncf.io
      resource: customresourcedefinitions
    - group: ""
      name: openshift-multus
      resource: namespaces
    - group: rbac.authorization.k8s.io
      name: multus
      resource: clusterroles
    - group: ""
      name: multus
      namespace: openshift-multus
      resource: serviceaccounts
    - group: rbac.authorization.k8s.io
      name: multus
      resource: clusterrolebindings
    - group: rbac.authorization.k8s.io
      name: multus-whereabouts
      resource: clusterrolebindings
    - group: rbac.authorization.k8s.io
      name: whereabouts-cni
      resource: clusterroles
    - group: ""
      name: cni-binary-copy-script
      namespace: openshift-multus
      resource: configmaps
    - group: apps
      name: multus
      namespace: openshift-multus
      resource: daemonsets
    - group: ""
      name: metrics-daemon-sa
      namespace: openshift-multus
      resource: serviceaccounts
    - group: rbac.authorization.k8s.io
      name: metrics-daemon-role
      resource: clusterroles
    - group: rbac.authorization.k8s.io
      name: metrics-daemon-sa-rolebinding
      resource: clusterrolebindings
    - group: apps
      name: network-metrics-daemon
      namespace: openshift-multus
      resource: daemonsets
    - group: monitoring.coreos.com
      name: monitor-network
      namespace: openshift-multus
      resource: servicemonitors
    - group: ""
      name: network-metrics-service
      namespace: openshift-multus
      resource: services
    - group: rbac.authorization.k8s.io
      name: prometheus-k8s
      namespace: openshift-multus
      resource: roles
    - group: rbac.authorization.k8s.io
      name: prometheus-k8s
      namespace: openshift-multus
      resource: rolebindings
    - group: ""
      name: multus-admission-controller
      namespace: openshift-multus
      resource: services
    - group: rbac.authorization.k8s.io
      name: multus-admission-controller-webhook
      resource: clusterroles
    - group: rbac.authorization.k8s.io
      name: multus-admission-controller-webhook
      resource: clusterrolebindings
    - group: admissionregistration.k8s.io
      name: multus.openshift.io
      resource: validatingwebhookconfigurations
    - group: ""
      name: openshift-service-ca
      namespace: openshift-network-operator
      resource: configmaps
    - group: apps
      name: multus-admission-controller
      namespace: openshift-multus
      resource: daemonsets
    - group: monitoring.coreos.com
      name: monitor-multus-admission-controller
      namespace: openshift-multus
      resource: servicemonitors
    - group: rbac.authorization.k8s.io
      name: prometheus-k8s
      namespace: openshift-multus
      resource: roles
    - group: rbac.authorization.k8s.io
      name: prometheus-k8s
      namespace: openshift-multus
      resource: rolebindings
    - group: monitoring.coreos.com
      name: prometheus-k8s-rules
      namespace: openshift-multus
      resource: prometheusrules
    - group: ""
      name: openshift-sdn
      resource: namespaces
    - group: apiextensions.k8s.io
      name: clusternetworks.network.openshift.io
      resource: customresourcedefinitions
    - group: apiextensions.k8s.io
      name: hostsubnets.network.openshift.io
      resource: customresourcedefinitions
    - group: apiextensions.k8s.io
      name: netnamespaces.network.openshift.io
      resource: customresourcedefinitions
    - group: apiextensions.k8s.io
      name: egressnetworkpolicies.network.openshift.io
      resource: customresourcedefinitions
    - group: rbac.authorization.k8s.io
      name: openshift-sdn
      resource: clusterroles
    - group: ""
      name: sdn
      namespace: openshift-sdn
      resource: serviceaccounts
    - group: rbac.authorization.k8s.io
      name: openshift-sdn
      resource: clusterrolebindings
    - group: ""
      name: sdn-controller
      namespace: openshift-sdn
      resource: serviceaccounts
    - group: rbac.authorization.k8s.io
      name: openshift-sdn-controller
      resource: clusterroles
    - group: rbac.authorization.k8s.io
      name: openshift-sdn-controller
      resource: clusterrolebindings
    - group: rbac.authorization.k8s.io
      name: openshift-sdn-controller-leaderelection
      namespace: openshift-sdn
      resource: roles
    - group: rbac.authorization.k8s.io
      name: openshift-sdn-controller-leaderelection
      namespace: openshift-sdn
      resource: rolebindings
    - group: network.openshift.io
      name: default
      resource: clusternetworks
    - group: monitoring.coreos.com
      name: networking-rules
      namespace: openshift-sdn
      resource: prometheusrules
    - group: apps
      name: sdn-controller
      namespace: openshift-sdn
      resource: daemonsets
    - group: monitoring.coreos.com
      name: monitor-sdn
      namespace: openshift-sdn
      resource: servicemonitors
    - group: ""
      name: sdn
      namespace: openshift-sdn
      resource: services
    - group: rbac.authorization.k8s.io
      name: prometheus-k8s
      namespace: openshift-sdn
      resource: roles
    - group: rbac.authorization.k8s.io
      name: prometheus-k8s
      namespace: openshift-sdn
      resource: rolebindings
    - group: ""
      name: openshift-host-network
      resource: namespaces
    - group: ""
      name: host-network-namespace-quotas
      namespace: openshift-host-network
      resource: resourcequotas
    - group: apps
      name: ovs
      namespace: openshift-sdn
      resource: daemonsets
    - group: ""
      name: sdn-config
      namespace: openshift-sdn
      resource: configmaps
    - group: apps
      name: sdn
      namespace: openshift-sdn
      resource: daemonsets
    - group: ""
      name: openshift-network-operator
      resource: namespaces
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: cluster-node-tuning-operator
      operation: Update
      time: "2022-03-08T10:38:52Z"
    name: node-tuning
    resourceVersion: "18739"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/node-tuning
    uid: b0b37191-4b28-4c5d-aef9-82dc78f4778d
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:38:52Z"
      message: Cluster has deployed "4.6.52"
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:46:28Z"
      message: Cluster version is "4.6.52"
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:38:49Z"
      message: DaemonSet "tuned" available
      reason: AsExpected
      status: "False"
      type: Degraded
    extension: null
    relatedObjects:
    - group: ""
      name: openshift-cluster-node-tuning-operator
      resource: namespaces
    - group: tuned.openshift.io
      name: ""
      namespace: openshift-cluster-node-tuning-operator
      resource: tuneds
    - group: apps
      name: tuned
      namespace: openshift-cluster-node-tuning-operator
      resource: daemonsets
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
      include.release.openshift.io/self-managed-high-availability: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
            f:include.release.openshift.io/self-managed-high-availability: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: cluster-openshift-apiserver-operator
      operation: Update
      time: "2022-03-08T10:38:51Z"
    name: openshift-apiserver
    resourceVersion: "28655"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/openshift-apiserver
    uid: 87e831d6-cbb3-4e9a-974e-e1175e967e1e
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T11:05:47Z"
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T11:01:38Z"
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:43:54Z"
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:38:51Z"
      reason: AsExpected
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: openshiftapiservers
    - group: ""
      name: openshift-config
      resource: namespaces
    - group: ""
      name: openshift-config-managed
      resource: namespaces
    - group: ""
      name: openshift-apiserver-operator
      resource: namespaces
    - group: ""
      name: openshift-apiserver
      resource: namespaces
    - group: ""
      name: openshift-etcd-operator
      resource: namespaces
    - group: ""
      name: host-etcd-2
      namespace: openshift-etcd
      resource: endpoints
    - group: controlplane.operator.openshift.io
      name: ""
      namespace: openshift-apiserver
      resource: podnetworkconnectivitychecks
    - group: apiregistration.k8s.io
      name: v1.apps.openshift.io
      resource: apiservices
    - group: apiregistration.k8s.io
      name: v1.authorization.openshift.io
      resource: apiservices
    - group: apiregistration.k8s.io
      name: v1.build.openshift.io
      resource: apiservices
    - group: apiregistration.k8s.io
      name: v1.image.openshift.io
      resource: apiservices
    - group: apiregistration.k8s.io
      name: v1.oauth.openshift.io
      resource: apiservices
    - group: apiregistration.k8s.io
      name: v1.project.openshift.io
      resource: apiservices
    - group: apiregistration.k8s.io
      name: v1.quota.openshift.io
      resource: apiservices
    - group: apiregistration.k8s.io
      name: v1.route.openshift.io
      resource: apiservices
    - group: apiregistration.k8s.io
      name: v1.security.openshift.io
      resource: apiservices
    - group: apiregistration.k8s.io
      name: v1.template.openshift.io
      resource: apiservices
    - group: apiregistration.k8s.io
      name: v1.user.openshift.io
      resource: apiservices
    versions:
    - name: operator
      version: 4.6.52
    - name: openshift-apiserver
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
      include.release.openshift.io/self-managed-high-availability: "true"
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
            f:include.release.openshift.io/self-managed-high-availability: {}
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: cluster-openshift-controller-manager-operator
      operation: Update
      time: "2022-03-08T10:40:32Z"
    name: openshift-controller-manager
    resourceVersion: "27316"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/openshift-controller-manager
    uid: 9fa419ea-1083-44c3-b7b9-e847321cd12d
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:38:51Z"
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T11:02:07Z"
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:40:31Z"
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:38:51Z"
      reason: NoData
      status: Unknown
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: openshiftcontrollermanagers
    - group: ""
      name: openshift-config
      resource: namespaces
    - group: ""
      name: openshift-config-managed
      resource: namespaces
    - group: ""
      name: openshift-controller-manager-operator
      resource: namespaces
    - group: ""
      name: openshift-controller-manager
      resource: namespaces
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: cluster-samples-operator
      operation: Update
      time: "2022-03-08T10:44:36Z"
    name: openshift-samples
    resourceVersion: "17380"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/openshift-samples
    uid: 95203a38-088e-4809-8e47-e83526049b71
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:44:30Z"
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:44:36Z"
      message: Samples installation successful at 4.6.52
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:44:36Z"
      message: Samples installation successful at 4.6.52
      status: "False"
      type: Progressing
    extension: null
    relatedObjects:
    - group: samples.operator.openshift.io
      name: cluster
      resource: configs
    - group: ""
      name: openshift-cluster-samples-operator
      resource: namespaces
    - group: ""
      name: openshift
      resource: namespaces
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:41Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:41Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: olm
      operation: Update
      time: "2022-03-08T10:39:53Z"
    name: operator-lifecycle-manager
    resourceVersion: "17690"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/operator-lifecycle-manager
    uid: 4f558872-0e17-4e5b-bbc8-8db26d91b088
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:39:53Z"
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:44:58Z"
      message: Deployed 0.16.1
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:39:53Z"
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:39:53Z"
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: operators.coreos.com
      name: packageserver
      namespace: openshift-operator-lifecycle-manager
      resource: clusterserviceversions
    - group: ""
      name: openshift-operator-lifecycle-manager
      resource: namespaces
    versions:
    - name: operator
      version: 4.6.52
    - name: operator-lifecycle-manager
      version: 0.16.1
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:41Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:41Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: catalog
      operation: Update
      time: "2022-03-08T10:39:52Z"
    name: operator-lifecycle-manager-catalog
    resourceVersion: "17673"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/operator-lifecycle-manager-catalog
    uid: 7e72e98c-03bf-4705-b9a9-21f909240bd1
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:39:52Z"
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:44:57Z"
      message: Deployed 0.16.1
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:39:52Z"
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:39:52Z"
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: ""
      name: openshift-operator-lifecycle-manager
      resource: namespaces
    versions:
    - name: operator
      version: 4.6.52
    - name: operator-lifecycle-manager
      version: 0.16.1
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:41Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:41Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: olm
      operation: Update
      time: "2022-03-08T10:44:09Z"
    name: operator-lifecycle-manager-packageserver
    resourceVersion: "16325"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/operator-lifecycle-manager-packageserver
    uid: 453eaee6-5489-43b3-b1e0-de3d6cdeb2fd
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:39:53Z"
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:44:09Z"
      message: ClusterServiceVersion openshift-operator-lifecycle-manager/packageserver observed in phase Succeeded
      reason: ClusterServiceVersionSucceeded
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:44:09Z"
      message: Deployed version 0.16.1
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:39:53Z"
      message: Safe to upgrade
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: ""
      name: openshift-operator-lifecycle-manager
      resource: namespaces
    - group: operators.coreos.com
      name: packageserver
      namespace: openshift-operator-lifecycle-manager
      resource: clusterserviceversions
    versions:
    - name: operator
      version: 4.6.52
    - name: packageserver
      version: 0.16.1
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:41Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:41Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: service-ca-operator
      operation: Update
      time: "2022-03-08T10:39:09Z"
    name: service-ca
    resourceVersion: "7772"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/service-ca
    uid: 5f360c47-ea2e-4b7c-88ab-36eadd729030
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:38:56Z"
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:39:09Z"
      message: 'Progressing: All service-ca-operator deployments updated'
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:39:02Z"
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:38:55Z"
      reason: NoData
      status: Unknown
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: servicecas
    - group: ""
      name: openshift-config
      resource: namespaces
    - group: ""
      name: openshift-config-managed
      resource: namespaces
    - group: ""
      name: openshift-service-ca-operator
      resource: namespaces
    - group: ""
      name: openshift-service-ca
      resource: namespaces
    versions:
    - name: operator
      version: 4.6.52
- apiVersion: config.openshift.io/v1
  kind: ClusterOperator
  metadata:
    creationTimestamp: "2022-03-08T10:13:40Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec: {}
        f:status:
          .: {}
          f:extension: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:13:40Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions: {}
          f:relatedObjects: {}
          f:versions: {}
      manager: cluster-storage-operator
      operation: Update
      time: "2022-03-08T10:38:50Z"
    name: storage
    resourceVersion: "6415"
    selfLink: /apis/config.openshift.io/v1/clusteroperators/storage
    uid: 3fe2d4fa-ed8d-42ef-b825-f915488e53b9
  spec: {}
  status:
    conditions:
    - lastTransitionTime: "2022-03-08T10:38:50Z"
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2022-03-08T10:38:50Z"
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2022-03-08T10:38:50Z"
      message: 'DefaultStorageClassControllerAvailable: No default StorageClass for this platform'
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2022-03-08T10:38:51Z"
      reason: AsExpected
      status: "True"
      type: Upgradeable
    extension: null
    relatedObjects:
    - group: ""
      name: openshift-cluster-storage-operator
      resource: namespaces
    - group: ""
      name: openshift-cluster-csi-drivers
      resource: namespaces
    - group: ""
      name: openshift-manila-csi-driver
      resource: namespaces
    - group: operator.openshift.io
      name: cluster
      resource: storages
    - group: operator.openshift.io
      name: ebs.csi.aws.com
      resource: clustercsidrivers
    - group: operator.openshift.io
      name: csi.ovirt.org
      resource: clustercsidrivers
    - group: operator.openshift.io
      name: manila.csi.openstack.org
      resource: clustercsidrivers
    versions:
    - name: operator
      version: 4.6.52
kind: ClusterOperatorList
metadata:
  continue: ""
  resourceVersion: "82452"
  selfLink: /apis/config.openshift.io/v1/clusteroperators
